<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>{{ msg('app_title') }}</title>
    {{ encore_entry_link_tags('app') }}
</head>
<body>
    <header>
        <nav class="navbar navbar-expand-lg navbar-light bg-light">
            <div class="container-fluid">
                <a class="navbar-brand" href="{{ path('home') }}">{{ msg('app_title') }}</a>
                <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent"
                    aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                        <li class="nav-item">
                            <a class="nav-link" href="#">Page One</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="">Page Two</a>
                        </li>
                    </ul>
                    <ul class="navbar-nav">
                        <li class="nav-item">
                            {% if logged_in_user() %}
                                {{ msg( 'logged-in-as', [ logged_in_user().username ] ) }}
                                <a class="nav-link" href="{{ path('toolforge_logout') }}">{{ msg('toolforge-logout') }}</a>
                            {% else %}
                                <a class="nav-link" href="{{ path('toolforge_login') }}">{{ msg('toolforge-login') }}</a>
                            {% endif %}
                        </li>
                    </ul>
                </div>
            </div>
        </nav>
    </header>
    <main class="container">
        {% block main %}
        {% endblock %}
    </main>
    <footer>
        
    </footer>
    {{ encore_entry_script_tags('app') }}
</body>
